<?
/*
// +--------------------------------------------------------------------------+
// | Projekt:    bliZZarD´s Modifikationen für die BT-Technik_Source          |
// +--------------------------------------------------------------------------+
// +--------------------------------------------------------------------------+
// | Modifikation:    PM-Spionage Nachrichten System  |
// |                                                                          |
// |                                                                          |
// +--------------------------------------------------------------------------+
// +--------------------------------------------------------------------------+
// |                                                                          |
// | Erstellung:                   ~17.Mai.2006~                              |
// |                                ~06:57 Uhr~                               |
// |                  ~Morgens nach Mittel Europäischer Zeit~                 |
// |                                                                          |
// | Danksagung:                                                              |
// |                                                                          |
// |   Ich bedanke mich bei den Codern der TB-Source die für fast jeden       |
// |   Hack und/oder Modifikation wie wir sie hier sehen den Grundbaustein    |
// |    legen desweitern geht mein Dank an das BT-Technik Team und an die     |
// |    Macher der NV-Source und an alle diejenigen die ich vergessen habe    |
// |                                                                          |
// |Besucht mich und das Team bei Fragen und Problemen unter:                 |
// |                                                                          |
// |-http://tnt.heaven.dyn.pl                                                 |
// |          oder                                                            |
// |-http://www.bt-technik.at                                                 |
// +--------------------------------------------------------------------------+
// +--------------------------------------------------------------------------+
// | Info:   Wer diese Zeilen entfernt und es wird entdeckt hat mit           |                                          
// |               Konsequentzen zu rechnen greetz bliZZarD                   |
// |                                                                          |
// +--------------------------------------------------------------------------+
// +--------------------------------------------------------------------------+
// | Obige Zeilen dürfen nicht entfernt werden!    Do not remove above lines! |
// +--------------------------------------------------------------------------+
*/
//////////////PM-Spion by bliZZarD for BT-Technik Anfang///////////////////////

require ("include/bittorrent.php");
dbconn();
stdhead("'Nachrichten Spionage'");

loggedinorreturn();

if (get_user_class() < UC_CODER)
stderr("Fehler", "Der Zugriff zu dieser Seite ist dir nicht gestattet!");
if (!isset($_GET['id']) && !isset($_GET['co']) ) {
begin_frame("Nachrichten Spionage");
print("<br><br><center>");
print("<form method=get action=?>\n");
print("Mitglied Suchen: <input type=text size=30 name=search>\n");
print("<input type=submit value='Und ab!'>\n");
print("</form></center><br><br>\n");



$search = trim($_GET['search']);
if ($search !='')
{
  $query = "username LIKE " . sqlesc("%$search%") . " AND status='confirmed'";
  if ($search)
  $q = "search=" . htmlspecialchars($search);

$res = mysql_query("SELECT * FROM users WHERE $query ORDER BY username") or sqlerr();
$num = mysql_num_rows($res);

print("<center><table width=100% border=1 cellspacing=0 cellpadding=5>\n");
print("<tr><td class=tablecat align=left>Mitglied</td><td class=tablecat align=left>Empfangen</td><td class=tablecat align=left>Versendet</td></tr>\n");
for ($i = 0; $i < $num; ++$i)
{
 $arr = mysql_fetch_assoc($res);
 print("<tr><td class=tableb align=center><a href=userdetails.php?id=$arr[id]><b>$arr[username]</b></a></td>\n");
 $doquery = mysql_query("SELECT COUNT(*) from messages where receiver=$arr[id]");
 $dorow = mysql_fetch_row($doquery);
 print("<td class=tablea align=center><a href=pmspion.php?id=$arr[id]&co=receiver><b>$dorow[0]</b></a></td>");
 $odquery = mysql_query("SELECT COUNT(*) from messages where sender=$arr[id]");
 $odrow = mysql_fetch_row($odquery);
 print("<td class=tableb align=center><a href=pmspion.php?id=$arr[id]&co=sender><b>$odrow[0]</b></a></td>");

}
print("</table></center>\n");

print("<p>$pagemenu<br>$browsemenu</p>");
}
}
if(isset($_GET[id]) && isset($_GET[co]))
{
if (!isset($_GET[id]))
stderr("Fehler", "Der Zugriff zu dieser Seite ist dir nicht gestattet!");
if (!isset($_GET[co]))
stderr("Fehler", "Der Zugriff zu dieser Seite ist dir nicht gestattet!");

$id = $_GET[id];
$co = $_GET[co];
$res = mysql_query("SELECT * , UNIX_TIMESTAMP(added) as utadded FROM messages WHERE $co=$id ORDER BY added DESC") or die("UPSI Da is was nicht richtig rund gelaufen^^!");
while ($arr = mysql_fetch_assoc($res))
    {
      if ($arr["sender"] != 0)
      {
      $res2 = mysql_query("SELECT username FROM users WHERE id=" . $arr["sender"]) or sqlerr();
      $arr2 = mysql_fetch_assoc($res2);
      $sender = "<a href=userdetails.php?id=" . $arr["sender"] . ">" . 
     ($arr2["username"]?$arr2["username"]:"[Gelöscht]") . "</a>";
      }
      else
      $sender = "System";
      $res3 = mysql_query("SELECT username FROM users WHERE id=" . $arr["receiver"]) or sqlerr();
      $arr3 = mysql_fetch_assoc($res3);
      $empfang = "<a href=userdetails.php?id=" . $arr["receiver"] . ">" .  
     ($arr3["username"]?$arr3["username"]:"[Gelöscht]") . "</a>";
      $timeago = get_elapsed_time(sql_timestamp_to_unix_timestamp($arr["added"]));
      begin_frame("Nachricht an ($empfang) als Empfänger");
      print("<table width=100%  border=1 cellspacing=0 cellpadding=5><tr>");
      print("<td class=tablecat><b>Von: $sender </b></td><td class=tablecat><b> An: $empfang </b></td><td 
      class=tablecat><b>Betreff: $arr[subject]</b></td><td class=tablecat><b> " . get_date_time($arr["utadded"] , 
      $CURUSER[tzoffset] ) . " (Alter: $timeago)\n</b></td></tr></table>");
      print("<table width=100% border=0 cellspacing=0 cellpadding=10><tr></tr><tr><td class = right>");
      print(format_comment($arr["msg"]));
      print("</td></tr></table>");      
      end_frame();     
      
print("<br><br>");
     }
     }

//////////////PM-Spion by bliZZarD for BT-Technik Ende///////////////////////
stdfoot();
?>